%global enable_tests 0
%global module_name infinity-agent

Name:           nodejs-%{module_name}
Version:        2.0.3
Release:        4%{?dist}
Summary:        Creates HTTP/HTTPS Agent with Infinity maxSockets

License:        MIT
URL:            https://github.com/floatdrop/infinity-agent
Source0:        https://github.com/floatdrop/infinity-agent/archive/v%{version}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
%endif

%description
Returns HTTP/HTTPS agent with maxSockets set to Infinity (based on URL or 
options).

%prep
%setup -q -n %{module_name}-%{version}
rm -rf node_modules

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{module_name}

%nodejs_symlink_deps

#disable tests as they need network access
%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
mocha -R spec
%endif

%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{module_name}

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jul 03 2015 Parag Nemade <pnemade AT redhat DOT com> - 2.0.3-1
- update to 2.0.3 upstream release

* Sat Jan 31 2015 Parag Nemade <pnemade AT redhat DOT com> - 1.0.2-1
- update to 1.0.2 upstream release

* Sun Jan 11 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.1.0-1
- Initial packaging

